Bug 155564 - Can't install from DVD on system with two DVD/CD drives
Can't install from DVD on system with two DVD/CD drives
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-21 09:57 EDT by Thomas M Steenholdt
Modified: 2015-01-04 17:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 18:26:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas M Steenholdt 2005-04-21 09:57:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Firefox/1.0.3

Description of problem:
I'm trying to install FC4-test2 from DVD on my brand new system with one DVD-ROM and one CD-RW drive.

The installation comes along just fine until the time where it usually prints "starting anaconda" and then probes for video hardware.
At this time, instead, it opens my CD-RW drive tray (everything prioe was done via the DVD in the DVD drive) and complaints that it cannot find my fedora CD.

The DVD is /dev/hdc while the CD-RW is on /dev/hdd, the harddrive is sata on /dev/sda.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Attempt DVD installation (probably needs system with multiple optical drives or other special configurations)
2. Start installation
3.
  

Actual Results:  Cannot install due to described problem

Expected Results:  Installation just works(tm)

Additional info:

I know this is not a generel problem as I have a few other systems where the test2 installation worked like a charm from DVD... The differences between the systems are plenty, but the few most obvious ones are that the failing one has multiple optical drives and sata harddrive. It really could also be a firmware problem with my DVD drive or just a broken drive, but i have no other sightings to support this (and there is no updated firmware immediately available for download)

Please let me know what kind of information could be useful for you in order to get this one sorted out!
Comment 1 Jeremy Katz 2005-04-21 11:46:43 EDT
Can you provide the information that's displayed on tty3 when it fails?  Also,
the exact error message will help to track down exactly where it's coming from.
Comment 2 Robert Kars 2005-04-24 03:26:21 EDT
(In reply to comment #1)
> Can you provide the information that's displayed on tty3 when it fails?  Also,
> the exact error message will help to track down exactly where it's coming from.

Hope it's okay if I give you the info needed: I've got exactly the same problem
(also 2 drives, and S-ATA).

Error message on tty1: "The fedora Core CD was not found in any of your CDROM
drives. Please insert the fedora core CD and press OK to retry"
Error message on tty3: 
> Trying tot mount cd device hda
> mntloop loop0 on /mnt/runtime as /mnt/source/Fedora/base/stage2.img fd is 12
> failed to mount loop: invalid argument
> trying tot mount cd device hdb
.... (dvd was in drive /dev/hda)

R. Kars.
Comment 3 Thomas M Steenholdt 2005-04-27 03:33:26 EDT
The errors on tty1,tty3 are exactly as described in comment #2.

However I did see something very strange.
Trying to reproduce the problem with the original FC4test2 DVD, i was kust not
able to... Everything ran smothly way past the error i saw at first. I even
tried a few times all with the same result.
Then i realized, that i might have chosen to check the media on my original
runs. So I rebooted and tried again, not skipping the media-check prompt.
The DVD check sum fails (as reported in another bug) and when i press continue
to install anyway, the errors occur again.

Thinking that i found the place to pin the problem, i rebooted to try again
without the media-check. But this time - I'm not even presented with the
media-check dialog... The DVD behaves pretty must like a boot.iso image. It asks
me for language, keyboard and installation method (DVD not in list). Hmmm -
Powered off and retried, same thing!

So right now i can't even get it to understand that i'm trying to install!

Hope this makes sense to you - Only thing i cna think of is DVD firmware.

I'll try to see if i can update it somewhere and get back to you!
Comment 4 Thomas M Steenholdt 2005-04-27 06:09:17 EDT
During my testing described in earlier post - i mention reboots to try things
again - i want to clarify that these includes attempts to actually power off the
system, wait a few seconds, the power it back on again.

Now. I left the system off for approx. 1:30 hours while attending a meeting and
when i came back i tried the whole thing again - skipped the mediacheck and
installation proceeds just fine.

Perhaps some invalid/bad commands/data are sent to the drive during the
mediacheck that messes up things inside the drive so badly that it takes a while
to recover?!? I seem to recall Mandrake had a situation where installing would
actually destroy certain drives, to it's a fact that this kind of thing is not
entirely impossible???

Please let me hear you oppinion?

My DVD drive is a "HL-DT-STDVD-ROM GDR81628"
CD-RW drive a "HL-DT-ST GCE-84838"
Comment 5 Thomas M Steenholdt 2005-04-27 08:18:44 EDT
Sorry - the ending '8' of the DVD model is actually a 'B' making it:
"HL-DT-STDVD-ROM GDR8162B" (there is no space between ST and DVD in the output
from /proc/ide/hdc/model)
Comment 6 Thomas M Steenholdt 2005-05-11 06:21:18 EDT
This appears to be fixed in FC4 test3, so I guess for my part, this one can be
CLOSED.

Note You need to log in before you can comment on or make changes to this bug.